/* Stockage de parametres de rotation           */
/*                                              */
/* Auteur: Nicolas JANEY                        */
/* nicolas.janey@univ-fcomte.fr                 */
/* Novembre 2012                                */

#include "Rotation3DInfo.h"
#include "Direction3D.h"

/* Constructeurs                                */

Rotation3DInfo::Rotation3DInfo(void) {
  axe = new Direction3D();
  angle = 0.0;
}

Rotation3DInfo::Rotation3DInfo(double angle,double ax,double ay,double az) {
  axe = new Direction3D(ax,ay,az);
  this->angle = angle;
}

Rotation3DInfo::Rotation3DInfo(Rotation3DInfo *d) {
  axe = new Direction3D(axe);
  angle = d->angle;
}

/* Destructeur                                  */

Rotation3DInfo::~Rotation3DInfo(void) {
  delete(axe);
}
